Bug 855619 - [PATCH] internal man page references should also be renamed
[PATCH] internal man page references should also be renamed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: antlr3 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 07:37 EDT by Igor Vlasenko
Modified: 2012-09-21 20:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:17:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (350 bytes, patch)
2012-09-09 07:37 EDT, Igor Vlasenko
no flags Details | Diff

  None (edit)
Description Igor Vlasenko 2012-09-09 07:37:32 EDT
Created attachment 611185 [details]
proposed patch

Description of problem:
some of the man pages, like antlr3-alreadyParsedRule.3, or antlr3-combineFollows.3 are references to other man pages:
zcat antlr3-alreadyParsedRule.3.gz 
.so man3/pANTLR3_BASE_RECOGNIZER.3
but man pages such as pANTLR3_BASE_RECOGNIZER.3 are renamed to antlr3-*, 
so those references are broken.

Proposed patch below fixes those broken references.

--- antlr3.spec 2012-09-09 10:42:35.024672046 +0000
+++ antlr3.spec 2012-09-09 11:24:48.410256712 +0000
@@ -277,6 +277,7 @@
 for file in `ls -1 * | grep -vi "^antlr3"`; do
     mv $file antlr3-$file
 done
+sed -i -e 's,^\.so man3/pANTLR3,.so man3/antlr3-pANTLR3,' `grep -rl 'man3/pANTLR3' .`
 gzip *
 popd
 mv api/man/man3 $RPM_BUILD_ROOT%{_mandir}/
Comment 1 Milos Jakubicek 2012-09-09 11:59:10 EDT
Thanks for the report, patch applied, I will release an update soon.
Comment 2 Fedora Update System 2012-09-11 06:34:58 EDT
antlr3-3.4-12.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/antlr3-3.4-12.fc17
Comment 3 Fedora Update System 2012-09-11 06:49:59 EDT
antlr3-3.4-12.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/antlr3-3.4-12.fc18
Comment 4 Igor Vlasenko 2012-09-11 09:51:11 EDT
thanks!
Comment 5 Fedora Update System 2012-09-11 15:09:05 EDT
Package antlr3-3.4-12.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing antlr3-3.4-12.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13790/antlr3-3.4-12.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-09-17 18:17:24 EDT
antlr3-3.4-12.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-09-21 20:09:23 EDT
antlr3-3.4-12.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.